body { 
  background-color: #074ccc10;
  color: #736d83;

}


a {text-decoration:none;}

table a {text-decoration:none;}

.msCard:hover {
  transform: scale(1.02);
  transition: 0.2s;
  cursor: pointer;
}


/* abdunkeln/bluren von id=mainWrapper */
.blurOverlay {
  transition: all 0.3s ease;
  filter: blur(2px);
  background-color: rgba(0,0,0,0.1);
}


.dropdown-toggle.dropdown-toggle-no-caret::after {
  display: none !important;
}


.fancy-checkbox-group {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.checkbox-tile {
  padding: 0.5rem 1rem;
  border: 1px solid #ccc;
  border-radius: 8px;
  background-color: #f8f9fa;
  cursor: pointer;
  transition: 0.2s ease-in-out;
  user-select: none;
  font-size: 0.95rem;
  min-width: 100px;
  text-align: center;

}

.checkbox-tile:hover {
  background-color: #e9ecef;
}

.checkbox-tile.active {
  background-color: #defdd8;
  color: rgb(18, 85, 1);
  border-color: #3d5e36;
}


.ms-code {
  font-family: Consolas, Monaco, 'Courier New', monospace;
  font-size: 0.95em;
  padding: 0.2em 0.4em;
  background-color: #e9ecef;
  border-radius: 4px;
  white-space: pre-wrap;
}





.ms-modal { 
  border: 20px rgba(216, 223, 228, 0.3) solid;
  background: rgba(216, 223, 228);
  color: rgb(7, 107, 179);
}



.ms-opacity-off {
  opacity:0.2;
}

.ms-opacity-on {
  opacity:1;
}





.accordion-button {
    padding-top: 1.2rem;
    padding-bottom: 1.2rem;
}
.accordion-button span {
    line-height: 1.2;
}
.accordion-button .fs-2 {
    font-size: 2rem; /* Emoji-Größe */
}
.accordion-button .fs-3 {
    font-size: 1.8rem; /* Titel-Größe */
}





.ingredient-tag {
  cursor: pointer;
  transition: opacity 0.3s ease;
  font-size: 0.9rem;
  padding: 0.3em 0.6em;
}
.ingredient-tag.inactive {
  opacity: 0.4;
}
